declare module 'file-transfer' {
	interface FileTransferOptions {}
	interface FileTransfer
		extends EventTarget<{
			change: Event;
		}> {
		readonly name: string;
		readonly readyState:
			| 'canceled'
			| 'error'
			| 'pending'
			| 'transferred'
			| 'transferring';
		cancel(): void;
	}
	interface Outbox {
		enqueue(
			name: string,
			data: ArrayBuffer | ArrayBufferView,
			options?: FileTransferOptions,
		): Promise<FileTransfer>;
		enumerate(): Promise<FileTransfer[]>;
	}
	const outbox: Outbox;

	interface InboxItem {
		readonly bodyUsed: boolean;
		readonly length: number;
		readonly name: string;
		arrayBuffer(): Promise<ArrayBuffer>;
		cbor(): Promise<any>;
		json(): Promise<any>;
		text(): Promise<string>;
	}

	interface Inbox
		extends EventTarget<{
			newfile: Event;
		}> {
		pop(): Promise<InboxItem>;
	}

	const inbox: Inbox;
}
